version: "3.8"
services:
  nodejs:
    image: node:18
    working_dir: /app
    # command: sleep infinity
    command: sh -c "npm install && npm start"
    # command: sh -c "npm install && npm test" # see Makefile
    ports:
      - 3000:3000
    volumes:
      - .:/app
    extra_hosts:
      - "host.docker.internal:host-gateway"
